cURL
curl --request GET \
--url https://app.masivo.ai/api/storefront/v1/reviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.masivo.ai/api/storefront/v1/reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.masivo.ai/api/storefront/v1/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"review_form_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "<string>",
"source": "<string>",
"platform": "<string>",
"brand_id": "<string>",
"store_id": "<string>",
"channel_id": "<string>",
"answers": {
"score": 4,
"reason": [
"wait_time"
],
"comment": "Good follow-up"
},
"respondent": {},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"from": 0,
"to": 20,
"count": 1
}{
"error": "<string>",
"details": "<string>"
}Review forms
List reviews
List and filter reviews for the account.
GET
/
reviews
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Starting record index, starting from 0
Ending record index, starting from 0
Filter by review form id
Filter by customer id
When true, only responses without a customer_id
Available options:
true, false Filter by source
Filter by platform
Filter by brand id
Filter by store id
Filter by channel id
Filter responses created on or after this ISO 8601 date
Filter responses created on or before this ISO 8601 date